Ops Patch
curl --request PATCH \
--url https://api.example.com/api/v1/ops/genai/models/{key} \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"provider_model_id": "<string>",
"label": "<string>",
"description": "<string>",
"license": "<string>",
"commercial_ok": true,
"cost_hint": "<string>",
"eta_hint": "<string>",
"max_seconds": 123,
"params": {},
"enabled": true,
"user_selectable": true,
"sort": 123
}
'import requests
url = "https://api.example.com/api/v1/ops/genai/models/{key}"
payload = {
"provider": "<string>",
"provider_model_id": "<string>",
"label": "<string>",
"description": "<string>",
"license": "<string>",
"commercial_ok": True,
"cost_hint": "<string>",
"eta_hint": "<string>",
"max_seconds": 123,
"params": {},
"enabled": True,
"user_selectable": True,
"sort": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '<string>',
provider_model_id: '<string>',
label: '<string>',
description: '<string>',
license: '<string>',
commercial_ok: true,
cost_hint: '<string>',
eta_hint: '<string>',
max_seconds: 123,
params: {},
enabled: true,
user_selectable: true,
sort: 123
})
};
fetch('https://api.example.com/api/v1/ops/genai/models/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}genai-ops
Ops Patch
PATCH
/
api
/
v1
/
ops
/
genai
/
models
/
{key}
Ops Patch
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Ops Patch Api V1 Ops Genai Models Key Patch · object.
⌘I